Subject: Re: 43p-140 install issues

From: Sven Luther <[email-masked]>
Date: Mon, 3 Jan 2005 15:45:57 +0100

On Mon, Jan 03, 2005 at 03:30:54PM +0100, Philippe Guyot wrote:
> On Monday 03 January 2005 15:30, Sven Luther wrote:
> > On Mon, Jan 03, 2005 at 09:07:31AM -0500, Mike Martin wrote:
> > > On Mon, 3 Jan 2005 15:01:02 +0100, Sven Luther <[email-masked]>
> > > wrote:
> > >
> > > [snip]
> > >
> > > > What exact machine do you have again ?
> > >
> > > An IBM 7043. It's a 43p-140 labeled as a 604e 332 Mhz.
> 
> 
> I suppose you meen 233 Mhz ?
> >
> > Well, prep_pci.c does know about :
> >
> >   IBM RS/6000 7043-240 (ibm_doral)
> >   IBM RS/6000 7024-E30
> >
> > As far as IBM boxes are concerned. Doe the -140 have stuff in common with
> > leigh's -240 (the -140 being mono-cpu while the -240 being dual ?).
> 
> More different than that, 140 is more recent.
> 
> But works fine with Debian woody.(sorry Sven...)

Yeah, that is not the problem, the problem is that it doesn't work with the
2.6.8 kernel used by debian/sarge. So, now, the first order of business to fix
this is to find out what exactly is broken in the 2.6.8 kernel on this
hardware, fish out patches which may or may not solve the issue, and get it
solved. I will soon be making a kernel-source-2.6.8 upload for the powerstack
II problem i have hardware for, so it would be nice to fix these issues at the
same time. 

Once we have a working kernel, we will upload partman-prep from Cajus
Pollmeier, and add a prep-installer, and there will be propper prep support in
sarge, at least for the powerstack II.

> > Ok, understandable, still, getting it to netboot would be a first step to
> > getting it working right later.
> >
> > > If I can get it to boot the system (even from floppy or cd) I will
> > > have it to help test stuff. Otherwise it goes back under the desk
> > > where it came from.
> 
> If there is such a deadline, why not consider to install first a woody (many 
> successes exist) then upgrading to sarge after ?

That is always a solution. Getting the 2.6 debian kernel fixed would be nice
though. 

Friendly,

Sven Luther